/**
 * 页面管理
 */

import request from '@/utils/request';

// 查询配置列表
export function list(query: any) {
	return request({
		url: `/api/fn`,
		method: 'get',
		params: query,
	});
}

// 查询配置详情
export function getDetail(id: any) {
	return request({
		url: `/api/fn/${id}`,
		method: 'get',
	});
}



// 新增
export function add(data: any) {
	return request({
		url: '/api/fn',
		method: 'post',
		data: data,
	});
}

export function update(id: any, data: any) {
	return request({
		url: `/api/fn/${id}`,
		method: 'put',
		data: data,
	});
}

export function del(id: any) {
	return request({
		url: '/api/fn/' + id,
		method: 'delete',
	});
}




// // 导出

